commit 1ca00ef07259d018ac9f1c504c00614661a8b8b3
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Fri Mar 3 11:17:07 2017 +0100

    ref #6169 more complete workflow view

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.java b/src/main/java/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.java
index d0b0bdde..3e498dfc 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.java
@@ -2,15 +2,17 @@ package eu.etaxonomy.cdm.vaadin.design.phycobank;
 
 import com.vaadin.annotations.AutoGenerated;
 import com.vaadin.annotations.DesignRoot;
+import com.vaadin.ui.Button;
 import com.vaadin.ui.CssLayout;
+import com.vaadin.ui.Label;
 import com.vaadin.ui.VerticalLayout;
 import com.vaadin.ui.declarative.Design;
 
-/** 
+/**
  * !! DO NOT EDIT THIS FILE !!
- * 
+ *
  * This class is generated by Vaadin Designer and will be overwritten.
- * 
+ *
  * Please make a subclass with logic and additional interfaces as needed,
  * e.g class LoginView extends LoginDesign implements View { }
  */
@@ -18,7 +20,10 @@ import com.vaadin.ui.declarative.Design;
 @AutoGenerated
 @SuppressWarnings("serial")
 public class RegistrationWorkflowDesign extends VerticalLayout {
+    protected Label title;
     protected CssLayout workflow;
+    protected Button stepIndex;
+    protected Label caption;
 
     public RegistrationWorkflowDesign() {
         Design.read(this);
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/presenter/phycobank/RegistrationType.java b/src/main/java/eu/etaxonomy/cdm/vaadin/presenter/phycobank/RegistrationType.java
new file mode 100644
index 00000000..bf18870a
--- /dev/null
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/presenter/phycobank/RegistrationType.java
@@ -0,0 +1,20 @@
+/**
+* Copyright (C) 2017 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.vaadin.presenter.phycobank;
+
+/**
+ * @author a.kohlbecker
+ * @since Mar 3, 2017
+ *
+ */
+public enum RegistrationType {
+
+    name, typification;
+
+}
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/RegistrationWorkflowView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/RegistrationWorkflowView.java
index b6a0295c..d4b10b1e 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/RegistrationWorkflowView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/RegistrationWorkflowView.java
@@ -12,23 +12,35 @@ import com.vaadin.navigator.View;
 import com.vaadin.navigator.ViewChangeListener.ViewChangeEvent;
 import com.vaadin.spring.annotation.SpringView;
 
+import eu.etaxonomy.cdm.vaadin.design.phycobank.RegistrationWorkflowDesign;
+import eu.etaxonomy.cdm.vaadin.presenter.phycobank.RegistrationType;
+
 /**
  * @author a.kohlbecker
  * @since Mar 2, 2017
  *
  */
 @SpringView(name=RegistrationWorkflowView.NAME)
-public class RegistrationWorkflowView implements View {
+public class RegistrationWorkflowView extends RegistrationWorkflowDesign implements View {
 
     private static final long serialVersionUID = -213040114015958970L;
 
     public static final String NAME = "workflow";
 
+    RegistrationType regType = null;
+
     /**
      * {@inheritDoc}
      */
     @Override
     public void enter(ViewChangeEvent event) {
+        if(event.getParameters() != null){
+           String[] params = event.getParameters().split("/");
+           if(params.length > 0){
+               regType = RegistrationType.valueOf(params[0]);
+               title.setValue(title.getValue() + "  " + regType.name() + " ...");
+           }
+        }
 
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/StartRegistrationView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/StartRegistrationView.java
index 2b2f5fd4..08a4e129 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/StartRegistrationView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/phycobank/StartRegistrationView.java
@@ -16,6 +16,7 @@ import com.vaadin.navigator.ViewChangeListener.ViewChangeEvent;
 import com.vaadin.spring.annotation.SpringView;
 
 import eu.etaxonomy.cdm.vaadin.design.phycobank.StartRegistrationDesign;
+import eu.etaxonomy.cdm.vaadin.presenter.phycobank.RegistrationType;
 import eu.etaxonomy.vaadin.ui.navigation.NavigationEvent;
 
 /**
@@ -34,7 +35,7 @@ public class StartRegistrationView extends StartRegistrationDesign implements Vi
     ApplicationEventPublisher eventBus;
 
     public StartRegistrationView() {
-        buttonName.addClickListener(e -> new NavigationEvent(RegistrationWorkflowView.NAME));
+        buttonName.addClickListener(e -> eventBus.publishEvent(new NavigationEvent(RegistrationWorkflowView.NAME+ "/" + RegistrationType.name)));
     }
 
     /**
diff --git a/src/main/resources/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.html b/src/main/resources/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.html
index 6bc619a8..9cdfe3d2 100644
--- a/src/main/resources/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.html
+++ b/src/main/resources/eu/etaxonomy/cdm/vaadin/design/phycobank/RegistrationWorkflowDesign.html
@@ -7,8 +7,8 @@
  </head>
  <body>
   <vaadin-vertical-layout spacing>
-   <vaadin-label style-name="huge" size-auto plain-text :center>
-     Registration of ... 
+   <vaadin-label style-name="huge" size-auto plain-text _id="title" :center>
+     Registration of the 
    </vaadin-label>
    <vaadin-label size-auto plain-text :middle :center>
      Advance step by step through the registration workflow for scientific names. 
@@ -19,10 +19,10 @@
     </vaadin-css-layout>
     <vaadin-css-layout style-name="steps">
      <vaadin-css-layout>
-      <vaadin-button icon="fonticon://FontAwesome/f111" style-name="borderless" plain-text>
+      <vaadin-button icon="fonticon://FontAwesome/f111" style-name="borderless" plain-text _id="stepIndex">
         1 
       </vaadin-button>
-      <vaadin-label plain-text>
+      <vaadin-label plain-text _id="caption">
         Edit the scientific name and related names. 
       </vaadin-label>
      </vaadin-css-layout>
@@ -31,7 +31,7 @@
         2 
       </vaadin-button>
       <vaadin-label plain-text>
-        Label 
+        Edit the scientific name and related names. 
       </vaadin-label>
      </vaadin-css-layout>
      <vaadin-css-layout>