commit 02fbce4ad643ada7f29cda1f45f2b86296ab67a4
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Tue Jun 20 20:27:17 2017 +0200

    ref #6694 l10n of FeatureTreeEditor

diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
index 088eb4fa5..4b4d7cd91 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
@@ -177,4 +177,5 @@ command.label.CHANGE_PASSWORD = Change password
 wizard.name.22 = CDM light (csv)
 wizard.name.23 = Excel Distribution Data Update
 wizard.name.24 = RIS Reference
-command.label.25 = Import Preferences
\ No newline at end of file
+command.label.25 = Import Preferences
+partdescriptor.label.featureTreeEditor = Feature Tree Editor
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
index 1f11fc47d..e51991907 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
@@ -178,4 +178,5 @@ command.label.CHANGE_PASSWORD = Kennwort 
 wizard.name.22 = CDM light (csv)
 wizard.name.23 = Excel Verbreitungsdaten Update
 wizard.name.24 = RIS Referenzen
-command.label.25 = Import Präferenzen
\ No newline at end of file
+command.label.25 = Import Präferenzen
+partdescriptor.label.featureTreeEditor = Merkmalsbaum-Editor
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.store/fragment.e4xmi b/eu.etaxonomy.taxeditor.store/fragment.e4xmi
index b5ab73a12..d31b51a04 100644
--- a/eu.etaxonomy.taxeditor.store/fragment.e4xmi
+++ b/eu.etaxonomy.taxeditor.store/fragment.e4xmi
@@ -4,7 +4,7 @@
   <imports xsi:type="commands:Command" xmi:id="_LlbAMEq2EeeN-dEYnw7m3g" elementId="org.eclipse.ui.file.save"/>
   <fragments xsi:type="fragment:StringModelFragment" xmi:id="_xVa1wCXXEeex9MwMOgUeWw" featurename="descriptors" parentElementId="xpath:/">
     <elements xsi:type="basic:PartDescriptor" xmi:id="_2xmxoCXXEeex9MwMOgUeWw" elementId="eu.etaxonomy.taxeditor.view.sessions.SessionsViewPart" label="%view.name.SESSIONS" closeable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.store/eu.etaxonomy.taxeditor.view.sessions.SessionsViewPart"/>
-    <elements xsi:type="basic:PartDescriptor" xmi:id="_J-3UEEqgEeeN-dEYnw7m3g" elementId="eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeEditor" label="Feature Tree Editor" closeable="true" dirtyable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.store/eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeEditor">
+    <elements xsi:type="basic:PartDescriptor" xmi:id="_J-3UEEqgEeeN-dEYnw7m3g" elementId="eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeEditor" label="%partdescriptor.label.featureTreeEditor" closeable="true" dirtyable="true" contributionURI="bundleclass://eu.etaxonomy.taxeditor.store/eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeEditor">
       <handlers xmi:id="_H_c_EEq2EeeN-dEYnw7m3g" elementId="eu.etaxonomy.taxeditor.featuretree.handler.SaveHandler" contributionURI="bundleclass://eu.etaxonomy.taxeditor.workbench/eu.etaxonomy.taxeditor.workbench.SaveHandler" command="_LlbAMEq2EeeN-dEYnw7m3g"/>
     </elements>
   </fragments>
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermMenu.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermMenu.java
index d574aa5ed..0572d1a6f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermMenu.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/editor/definedterm/DefinedTermMenu.java
@@ -29,6 +29,7 @@ import org.eclipse.ui.menus.CommandContributionItem;
 import org.eclipse.ui.menus.CommandContributionItemParameter;
 
 import eu.etaxonomy.cdm.model.common.TermType;
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
@@ -49,7 +50,7 @@ public class DefinedTermMenu extends CompoundContributionItem {
         Collection<IContributionItem> items = new ArrayList<IContributionItem>();
         if(CdmStore.isActive()){
             MenuManager dtMenuManager =
-                    new MenuManager("Term Editor","eu.etaxonomy.taxeditor.store.definedTermEditorMenu");
+                    new MenuManager(Messages.DefinedTermMenu_TERM_EDITOR,"eu.etaxonomy.taxeditor.store.definedTermEditorMenu"); //$NON-NLS-2$
 
             dtMenuManager.setVisible(true);
 
@@ -60,7 +61,7 @@ public class DefinedTermMenu extends CompoundContributionItem {
             dtMenuManager.add(new Separator());
 
             MenuManager otherMenuManager =
-                    new MenuManager("Others","eu.etaxonomy.taxeditor.store.term.other.menu");
+                    new MenuManager(Messages.DefinedTermMenu_OTHERS,"eu.etaxonomy.taxeditor.store.term.other.menu"); //$NON-NLS-2$
             otherMenuManager.setVisible(true);
             dtMenuManager.add(otherMenuManager);
             //FIXME E4: This should be removed during e4 migration. dynamic menu should be declared in model fragment
@@ -99,7 +100,7 @@ public class DefinedTermMenu extends CompoundContributionItem {
 			}
 			// term type has children, so create sub menu
 			MenuManager dtMenuManager =
-					new MenuManager(termType.getMessage(PreferencesUtil.getGlobalLanguage()),"eu.etaxonomy.taxeditor.store." + termType.getKey() + "Menu");
+					new MenuManager(termType.getMessage(PreferencesUtil.getGlobalLanguage()),"eu.etaxonomy.taxeditor.store." + termType.getKey() + Messages.DefinedTermMenu_MENU); //$NON-NLS-1$
 			dtMenuManager.setVisible(true);
 			dtMenuManager.add(createDefaultMenuItem(termType));
 
@@ -122,22 +123,22 @@ public class DefinedTermMenu extends CompoundContributionItem {
 	private CommandContributionItem createMenuItem(TermType termType) {
 
 		Map<String, String> params = new HashMap<String, String>();
-		params.put("eu.etaxonomy.taxeditor.store.openDefinedTermEditor.termTypeUuid",
+		params.put("eu.etaxonomy.taxeditor.store.openDefinedTermEditor.termTypeUuid", //$NON-NLS-1$
 				termType.getUuid().toString());
 
         CommandContributionItemParameter p = new CommandContributionItemParameter(
                 PlatformUI.getWorkbench(),
-                "",
-                "eu.etaxonomy.taxeditor.store.openDefinedTermEditor",
+                "", //$NON-NLS-1$
+                "eu.etaxonomy.taxeditor.store.openDefinedTermEditor", //$NON-NLS-1$
                 params,
                 null,
                 null,
                 null,
                 termType.getMessage(),
-                "",
-                "",
+                "", //$NON-NLS-1$
+                "", //$NON-NLS-1$
                 SWT.PUSH,
-                "",
+                "", //$NON-NLS-1$
                 true);
 
         CommandContributionItem item = new CommandContributionItem(p);
@@ -148,22 +149,22 @@ public class DefinedTermMenu extends CompoundContributionItem {
 	private CommandContributionItem createFeatureTreeMenuItem() {
 
 		Map<String, String> params = new HashMap<String, String>();
-		params.put("eu.etaxonomy.taxeditor.workbench.commandparameter.partName",
-				"eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeEditor");
+		params.put("eu.etaxonomy.taxeditor.workbench.commandparameter.partName", //$NON-NLS-1$
+				"eu.etaxonomy.taxeditor.featuretree.e4.FeatureTreeEditor"); //$NON-NLS-1$
 
         CommandContributionItemParameter p = new CommandContributionItemParameter(
                 PlatformUI.getWorkbench(),
-                "eu.etaxonomy.taxeditor.featuretree.commandContributionItemParameter",
-                "eu.etaxonomy.taxeditor.command.openPart",
+                "eu.etaxonomy.taxeditor.featuretree.commandContributionItemParameter", //$NON-NLS-1$
+                "eu.etaxonomy.taxeditor.command.openPart", //$NON-NLS-1$
                 params,
                 null,
                 null,
                 null,
-                "Feature Tree",
-                "",
-                "",
+                Messages.DefinedTermMenu_FEATURE_TREE,
+                "", //$NON-NLS-1$
+                "", //$NON-NLS-1$
                 SWT.PUSH,
-                "",
+                "", //$NON-NLS-1$
                 true);
 
 
@@ -176,22 +177,22 @@ public class DefinedTermMenu extends CompoundContributionItem {
 	private CommandContributionItem createDefaultMenuItem(TermType termType) {
 
 	    Map<String, String> params = new HashMap<String, String>();
-	    params.put("eu.etaxonomy.taxeditor.store.openDefinedTermEditor.termTypeUuid",
+	    params.put("eu.etaxonomy.taxeditor.store.openDefinedTermEditor.termTypeUuid", //$NON-NLS-1$
 	            termType.getUuid().toString());
 
 	    CommandContributionItemParameter p = new CommandContributionItemParameter(
 	            PlatformUI.getWorkbench(),
-	            "",
-	            "eu.etaxonomy.taxeditor.store.openDefinedTermEditor",
+	            "", //$NON-NLS-1$
+	            "eu.etaxonomy.taxeditor.store.openDefinedTermEditor", //$NON-NLS-1$
 	            params,
 	            null,
 	            null,
 	            null,
-	            "Other " + termType.getMessage() + "s",
-	            "",
-	            "",
+	            String.format(Messages.DefinedTermMenu_OTHER_S, termType.getMessage()),
+	            "", //$NON-NLS-1$
+	            "", //$NON-NLS-1$
 	            SWT.PUSH,
-	            "",
+	            "", //$NON-NLS-1$
 	            true);
 
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/e4/FeatureTreeEditorComposite.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/e4/FeatureTreeEditorComposite.java
index a59898f7d..b8a056796 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/e4/FeatureTreeEditorComposite.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/featuretree/e4/FeatureTreeEditorComposite.java
@@ -27,6 +27,7 @@ import org.eclipse.swt.widgets.Tree;
 import eu.etaxonomy.taxeditor.featuretree.FeatureNodeTransfer;
 import eu.etaxonomy.taxeditor.featuretree.FeatureTreeContentProvider;
 import eu.etaxonomy.taxeditor.featuretree.FeatureTreeLabelProvider;
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.ImageResources;
 
 /**
@@ -56,14 +57,14 @@ public class FeatureTreeEditorComposite extends Composite{
 
         label_title = new Label(composite_treeTitle, SWT.NULL);
         label_title.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false, 1, 1));
-        label_title.setText("Feature Tree");
+        label_title.setText(Messages.FeatureTreeEditorComposite_FEATURE_TREE);
 
         text_title = new Text(composite_treeTitle, SWT.BORDER);
         text_title.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
 
         btnOpenFeatureTree = new Button(this, SWT.NONE);
         btnOpenFeatureTree.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false, 1, 1));
-        btnOpenFeatureTree.setToolTipText("Open Tree");
+        btnOpenFeatureTree.setToolTipText(Messages.FeatureTreeEditorComposite_OPEN_TREE);
         btnOpenFeatureTree.setImage(ImageResources.getImage(ImageResources.BROWSE_ICON));
 
         viewer = new TreeViewer(this);
@@ -80,11 +81,11 @@ public class FeatureTreeEditorComposite extends Composite{
 
         button_add = new Button(composite_buttons, SWT.PUSH);
         button_add.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false, 1, 1));
-        button_add.setToolTipText("Add a feature to this feature tree.");
+        button_add.setToolTipText(Messages.FeatureTreeEditorComposite_ADD_FEATURE);
         button_add.setImage(ImageResources.getImage(ImageResources.ADD_EDIT));
         button_remove = new Button(composite_buttons, SWT.PUSH);
         button_remove.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false, 1, 1));
-        button_remove.setToolTipText("Remove a feature from this feature tree.");
+        button_remove.setToolTipText(Messages.FeatureTreeEditorComposite_REMOVE_FEATURE);
         button_remove.setImage(ImageResources.getImage(ImageResources.TRASH_ICON));
     }
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
index c2d911df1..c340fccf5 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
@@ -88,7 +88,22 @@ public class Messages extends NLS {
 
 
     public static String ConfiguratorComposite_CONFIGURE;
-	public static String DetailsViewPart_VIEWER_NAME;
+	public static String DefinedTermMenu_FEATURE_TREE;
+
+
+    public static String DefinedTermMenu_MENU;
+
+
+    public static String DefinedTermMenu_OTHER_S;
+
+
+    public static String DefinedTermMenu_OTHERS;
+
+
+    public static String DefinedTermMenu_TERM_EDITOR;
+
+
+    public static String DetailsViewPart_VIEWER_NAME;
     public static String EditPasswordElement_PLEASE_CREATE_OR_SAVE_USER;
     public static String EditPasswordElement_USERNAME_DOES_NOT_EXIST;
     public static String PasswordWizard_COULD_NOT_CHANGE_PWD;
@@ -203,6 +218,20 @@ public class Messages extends NLS {
 
 	
 
+    public static String FeatureTreeEditorComposite_ADD_FEATURE;
+
+
+    public static String FeatureTreeEditorComposite_FEATURE_TREE;
+
+
+    public static String FeatureTreeEditorComposite_OPEN_TREE;
+
+
+    public static String FeatureTreeEditorComposite_REMOVE_FEATURE;
+
+
+
+
     static {
         // initialize resource bundle
         NLS.initializeMessages(BUNDLE_NAME, Messages.class);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
index c698ee930..ce67b996f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
@@ -127,6 +127,11 @@ SearchManager_LARGE_RESULT_EXPECTED=Large result expected
 SearchManager_LONG_SEARCH_WARNING=The current search will return %s objects. This will take a long time and/or might render the editor unusable. Please consider refining your search.\nSearch anyway?
 
 SupplementalDataViewPart_VIEWER_NAME=Supplemental Data
+DefinedTermMenu_FEATURE_TREE=Feature Tree
+DefinedTermMenu_MENU=Menu
+DefinedTermMenu_OTHER_S=Other %ss
+DefinedTermMenu_OTHERS=Others
+DefinedTermMenu_TERM_EDITOR=Term Editor
 DetailsViewPart_VIEWER_NAME=Details
 
 AuthenticatedUserBar_LOGGED_IN_AS=Logged in as: %s         
@@ -183,3 +188,7 @@ ImportFromFileAndChooseVocIdWizardPage_AreaVoc=Area Vocabulary
 ImportFromFileAndChooseVocIdWizardOage_AreaVoc_toolTip=Please choose a vocabulary for the used areas.
 ExcelDistributionUpdateWizard_ConfiguratorWizard_label=Configure Excel distribution update
 AbstractImportWizard_ConfigurationLabel=Configure the Import
+FeatureTreeEditorComposite_ADD_FEATURE=Add a feature to this feature tree.
+FeatureTreeEditorComposite_FEATURE_TREE=Feature Tree
+FeatureTreeEditorComposite_OPEN_TREE=Open Tree
+FeatureTreeEditorComposite_REMOVE_FEATURE=Remove a feature from this feature tree.
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
index b6033048f..f915eae97 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
@@ -127,6 +127,11 @@ SearchManager_LARGE_RESULT_EXPECTED=Gro
 SearchManager_LONG_SEARCH_WARNING=Die aktuelle Suche wird %s Objekte laden. Dies kann einige Zeit dauern und den Editor währenddessen unbedienbar machen. Bitte erstellen sie eine detailliertere Suche.\nTrotzdem suchen?
 
 SupplementalDataViewPart_VIEWER_NAME=Zusatzdaten
+DefinedTermMenu_FEATURE_TREE=Merkmalsbaum
+DefinedTermMenu_MENU=Menü
+DefinedTermMenu_OTHER_S=Weitere %ss
+DefinedTermMenu_OTHERS=Weitere
+DefinedTermMenu_TERM_EDITOR=Term-Editor
 DetailsViewPart_VIEWER_NAME=Details
 
 AuthenticatedUserBar_LOGGED_IN_AS=Angemeldet als: %s         
@@ -183,3 +188,7 @@ ImportFromFileAndChooseVocIdWizardPage_AreaVoc=Area Vokabular
 ImportFromFileAndChooseVocIdWizardOage_AreaVoc_toolTip=Bitte wählen Sie ein Vokabular für die genutzten Areas aus.
 ExcelDistributionUpdateWizard_ConfiguratorWizard_label=Konfiguration des Excel Distribution Updates
 AbstractImportWizard_ConfigurationLabel=Konfiguration des Imports
+FeatureTreeEditorComposite_ADD_FEATURE=Merkmal zum Merkmalsbaum hinzufügen
+FeatureTreeEditorComposite_FEATURE_TREE=Merkmalsbaum
+FeatureTreeEditorComposite_OPEN_TREE=Merkmalsbaum öffnen
+FeatureTreeEditorComposite_REMOVE_FEATURE=Merkmal vom Merkmalsbaum entfernen