commit bef0e02cd6a12ecfcbcecc7efd01defdde86fe37
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Mon Aug 31 21:00:14 2020 +0200

    ref #9204 remove springfox/swagger dependencies from taxeditor.cdmlib

diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index 946a4343d..671f1bf78 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -610,17 +610,11 @@ Bundle-ClassPath: .,
  lib/spring-jdbc-4.3.28.RELEASE.jar,
  lib/spring-orm-4.3.28.RELEASE.jar,
  lib/spring-oxm-4.3.28.RELEASE.jar,
- lib/spring-plugin-core-1.2.0.RELEASE.jar,
- lib/spring-plugin-metadata-1.2.0.RELEASE.jar,
  lib/spring-security-config-4.2.18.RELEASE.jar,
  lib/spring-security-core-4.2.18.RELEASE.jar,
  lib/spring-test-4.3.28.RELEASE.jar,
  lib/spring-tx-4.3.28.RELEASE.jar,
  lib/spring-web-4.3.28.RELEASE.jar,
- lib/springfox-core-2.3.1.jar,
- lib/springfox-schema-2.3.1.jar,
- lib/springfox-spi-2.3.1.jar,
- lib/springfox-spring-web-2.3.1.jar,
  lib/tools.jar,
  lib/usertype.jodatime-2.0.1.jar,
  lib/usertype.spi-2.0.1.jar,
@@ -651,7 +645,6 @@ Bundle-ClassPath: .,
  lib/cglib-nodep-3.3.0.jar,
  lib/classmate-1.5.1.jar,
  lib/libthrift-0.9.2.jar,
- lib/mapstruct-1.0.0.Final.jar,
  lib/odfdom-0.8.jar,
  lib/odfdom-java-0.8.7.jar,
  lib/poi-4.1.2.jar,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/build.properties b/eu.etaxonomy.taxeditor.cdmlib/build.properties
index 5ca3cc51e..46c08f439 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/build.properties
+++ b/eu.etaxonomy.taxeditor.cdmlib/build.properties
@@ -58,17 +58,11 @@ bin.includes = META-INF/,\
                lib/spring-jdbc-4.3.28.RELEASE.jar,\
                lib/spring-orm-4.3.28.RELEASE.jar,\
                lib/spring-oxm-4.3.28.RELEASE.jar,\
-               lib/spring-plugin-core-1.2.0.RELEASE.jar,\
-               lib/spring-plugin-metadata-1.2.0.RELEASE.jar,\
                lib/spring-security-config-4.2.18.RELEASE.jar,\
                lib/spring-security-core-4.2.18.RELEASE.jar,\
                lib/spring-test-4.3.28.RELEASE.jar,\
                lib/spring-tx-4.3.28.RELEASE.jar,\
                lib/spring-web-4.3.28.RELEASE.jar,\
-               lib/springfox-core-2.3.1.jar,\
-               lib/springfox-schema-2.3.1.jar,\
-               lib/springfox-spi-2.3.1.jar,\
-               lib/springfox-spring-web-2.3.1.jar,\
                lib/tools.jar,\
                lib/usertype.jodatime-2.0.1.jar,\
                lib/usertype.spi-2.0.1.jar,\
@@ -99,7 +93,6 @@ bin.includes = META-INF/,\
                lib/cglib-nodep-3.3.0.jar,\
                lib/classmate-1.5.1.jar,\
                lib/libthrift-0.9.2.jar,\
-               lib/mapstruct-1.0.0.Final.jar,\
                lib/odfdom-0.8.jar,\
                lib/odfdom-java-0.8.7.jar,\
                lib/poi-4.1.2.jar,\
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/mapstruct-1.0.0.Final.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/mapstruct-1.0.0.Final.jar
deleted file mode 100644
index 20a0d2c71..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/mapstruct-1.0.0.Final.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/spring-plugin-core-1.2.0.RELEASE.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/spring-plugin-core-1.2.0.RELEASE.jar
deleted file mode 100644
index c290363e2..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/spring-plugin-core-1.2.0.RELEASE.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/spring-plugin-metadata-1.2.0.RELEASE.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/spring-plugin-metadata-1.2.0.RELEASE.jar
deleted file mode 100644
index 6eaa98c77..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/spring-plugin-metadata-1.2.0.RELEASE.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-core-2.3.1.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-core-2.3.1.jar
deleted file mode 100644
index 0cedf119b..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-core-2.3.1.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-schema-2.3.1.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-schema-2.3.1.jar
deleted file mode 100644
index e1ccee673..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-schema-2.3.1.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-spi-2.3.1.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-spi-2.3.1.jar
deleted file mode 100644
index 2dd98732a..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-spi-2.3.1.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-spring-web-2.3.1.jar b/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-spring-web-2.3.1.jar
deleted file mode 100644
index c64b035ac..000000000
Binary files a/eu.etaxonomy.taxeditor.cdmlib/lib/springfox-spring-web-2.3.1.jar and /dev/null differ